Retrieve Sessions
curl --request GET \
--url https://app.agentcloud.dev/{resourceSlug}/sessions.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.agentcloud.dev/{resourceSlug}/sessions.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.agentcloud.dev/{resourceSlug}/sessions.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"csrf": "<string>",
"sessions": [
{
"orgId": "<string>",
"teamId": "<string>",
"name": "<string>",
"startDate": {},
"lastUpdatedDate": {},
"tokensUsed": 123,
"status": "started",
"sharingConfig": {
"permissions": {},
"mode": "restricted"
},
"_id": "<string>",
"appId": "<string>",
"previewLabel": "<string>"
}
]
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Sessions
Retrieve Sessions
Retrieve a JSON list of all sessions the user has access to. Will also return a list of all tasks, tools, agents, models and datasources as a front end helper
GET
/
{resourceSlug}
/
sessions.json
Retrieve Sessions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The resourceSlug is a url parameter of the teamId associated with the user. Anywhere the resourceSlug is used can be interpreted as a teamId Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}
Response
JSON object containing an array of all the associated agents with that teamId, will return an empty array if the request is successful but there are no associated agents.